#include "lpm.h"
#include "oled.h"
#include "bme280.h"
#include "hal_data.h"

volatile bool in_LPM = false;  // 在低功耗模式的标志位 防止用按键唤醒了又立即进待机
void LPM_Init()
{
    g_lpm0.p_api->open(&g_lpm0_ctrl, &g_lpm0_cfg);
}

void EnterLowPowerMode()
{
    if(!in_LPM){
        OLED_DisPlay_Off();  //关闭屏幕
        BME280_Sleep();  //bme280进睡眠模式
//        printf("进入低功耗模式\n");
        in_LPM = true;
        g_lpm0.p_api->lowPowerModeEnter(&g_lpm0_ctrl);
        OLED_DisPlay_On();  //打开屏幕
        BME280_Wakeup();  //bme280恢复正常模式
    }

}
